﻿using Luski.net.JsonTypes.BaseTypes;
using System.Text.Json.Serialization;

namespace Luski.net.JsonTypes.HTTP;

internal class FriendRequestResultOut : HTTPRequest
{
    [JsonPropertyName("id")]
    [JsonInclude]
    public long? Id { get; set; }
    [JsonPropertyName("result")]
    [JsonInclude]
    public bool? Result { get; set; }
}

[JsonSerializable(typeof(FriendRequestResultOut))]
[JsonSourceGenerationOptions(
    GenerationMode = JsonSourceGenerationMode.Default,
    PropertyNamingPolicy = JsonKnownNamingPolicy.CamelCase,
    WriteIndented = false)]
internal partial class FriendRequestResultOutContext : JsonSerializerContext
{

}
