﻿using Luski.net.JsonTypes.BaseTypes;
using System.Text.Json.Serialization;

namespace Luski.net.JsonTypes;

internal class Login : IncomingHTTP
{
    [JsonPropertyName("login_token")]
    public string? Token { get; set; } = default!;
}

[JsonSerializable(typeof(Login))]
[JsonSourceGenerationOptions(
    GenerationMode = JsonSourceGenerationMode.Default,
    PropertyNamingPolicy = JsonKnownNamingPolicy.CamelCase,
    WriteIndented = false)]
internal partial class LoginContext : JsonSerializerContext
{

}
