﻿using System.Text.Json.Serialization;

namespace Luski.net.Structures.Main;

public class MainSocketGroupChannel : MainSocketTextChannel
{
    [JsonPropertyName("owner")]
    [JsonInclude]
    public long Owner { get; internal set; } = default!;
}

[JsonSerializable(typeof(MainSocketGroupChannel))]
[JsonSourceGenerationOptions(
    GenerationMode = JsonSourceGenerationMode.Default,
    PropertyNamingPolicy = JsonKnownNamingPolicy.CamelCase,
    WriteIndented = false)]
internal partial class MainSocketGroupChannelContext : JsonSerializerContext
{

}
